#!/bin/sh
#-------------------------------------------------------------------------------
# エンコーディングに関する更新処理
#  処理内容は次の通り
#   1) $p/ja-euc  $p/ja-sjis  にencoding変換してコピーする
#   2) $p/ja-euc  $p/ja-utf8  にencoding変換してコピーする
#
#  日付をチェックし、必要なファイルのみコピーする
#-------------------------------------------------------------------------------

p=./

if [ "$p" = "" ] ; then
  echo "USAGE) ./updenc.sh pathname"
  exit
fi

function conv {
  if [ ! -e $p/ja-sjis/$1 ] || [ $p/ja-utf8/$1 -nt $p/ja-sjis/$1 ]; then
    echo 'iconv -f utf-8 -t shift_jis <$p/ja-utf8/'$1 '>$p/ja-sjis/'$1
    iconv -f utf-8 -t shift_jis <$p/ja-utf8/$1 >$p/ja-sjis/$1
  fi
  #if [ ! -e $p/ja-sjis/$1 ] || [ $p/ja-euc/$1 -nt $p/ja-sjis/$1 ]; then
  #  echo 'nkf -Es <$p/ja-euc/'$1 '>$p/ja-sjis/'$1
  #  nkf -Es <$p/ja-euc/$1 |
  #  gawk '{gsub(/\\[\x80-\xff]/,"\\\\&");print $0}' >$p/ja-sjis/$1
  #fi

  if [ ! -e $p/ja-euc/$1 ] || [ $p/ja-utf8/$1 -nt $p/ja-euc/$1 ]; then
    echo 'iconv -f utf-8 -t euc-jp <$p/ja-utf8/'$1 '>$p/ja-euc/'$1
    iconv -f utf-8 -t euc-jp <$p/ja-utf8/$1 >$p/ja-euc/$1
  fi

}


for fname in `ls $p/ja-utf8/*.1`; do
  f=${fname##*/}
  conv $f
done
